﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingRole", Operations.Delete);
}

@section Scripts{
    <script src="/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="/assets/js/vendor/dataTables.checkboxes.min.js"></script>
    <script src="/assets/js/pages/demo.products.js"></script>
    <script src="/controller/role/roles.js" asp-append-version="true"></script>
}

    @section Styles{
    <link href="/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
}

    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Kho</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Chi tiết kho</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-xl-8">
                                <form class="row gy-2 gx-2 align-items-center justify-content-xl-start justify-content-between">
                                    <div class="col-auto">
                                        <label for="inputPassword2" class="visually-hidden">Search</label>
                                        <input type="search" class="form-control" id="inputPassword2" placeholder="Tìm kiếm...">
                                    </div>
                                    <div class="col-auto">
                                        <div class="d-flex align-items-center">
                                            <label for="status-select" class="me-2">Status</label>
                                            <select class="form-select" id="status-select">
                                                <option selected="">Choose...</option>
                                                <option value="1">New</option>
                                                <option value="2">Ordering in process</option>
                                                <option value="3">Success</option>
                                                <option value="4">Cancel</option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="col-xl-4">
                                <div class="text-xl-end mt-xl-0 mt-2">
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div><!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-striped table-centered mb-0">
                                <thead>
                                    <tr>
                                        <th style="text-align:center">STT</th>
                                        <th>SKU</th>
                                        <th>Mã barcode</th>
                                        <th>Tên hàng</th>
                                        <th>Mã màu</th>
                                        <th>Tên màu</th>
                                        <th>Số lượng</th>
                                        <th>Trạng thái</th>
                                    </tr>
                                </thead>
                                <tbody id="tblProducts">
                                    <tr>
                                        <td>1</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">10</td>
                                        <td>Còn hàng</td>
                                    </tr>

                                    <tr>
                                        <td>2</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">15</td>
                                        <td>Còn hàng</td>
                                    </tr>

                                    <tr>
                                        <td>3</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">7</td>
                                        <td>Còn hàng</td>
                                    </tr>

                                    <tr>
                                        <td>4</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">7</td>
                                        <td>Còn hàng</td>
                                    </tr>

                                    <tr>
                                        <td>5</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">7</td>
                                        <td>Còn hàng</td>
                                    </tr>

                                    <tr>
                                        <td>6</td>
                                        <td><b style="text-align:center;">#SMPN-FAUXRAFF-PR</b></td>
                                        <td style="text-align:center;">#MG001292</td>
                                        <td>SWATCH, Square, Faux Raffia, Pristine.</td>
                                        <td style="text-align:center;">#CMPFUR-RP71</td>
                                        <td>Vàng, Trắng xanh</td>
                                        <td style="text-align:center;">7</td>
                                        <td>Còn hàng</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <div class="row">
            <div class="col-sm-12 col-md-12 d-flex flex-row justify-content-between p-2">
                <div class="d-flex flex-row justify-content-start">
                    <div class="dataTables_paginate paging_simple_numbers p-1" style="float:right;" id="basic-datatable_paginate">
                        <ul class="pagination pagination-rounded" id="paginationUL">
                        </ul>
                    </div>
                    <div class="p-2">
                        <div class="form-label">Hiển thị</div>
                    </div>
                    <div class="p-1">
                        <select name="basic-datatable_length" aria-controls="basic-datatable" id="ddlShowPage" class="form-select form-select-sm">
                            <option value="10">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                    </div>
                    <div class="p-2">
                        mục
                    </div>
                </div>

                <div class="dataTables_info d-flex justify-content-end p-2" id="lblTotalRecords" role="status" aria-live="polite">
                </div>
            </div>
            <div style="clear:both;"></div>
        </div>

    </div>
